CREATE TABLE "parsed_files" (
    "parsed_song_id" INTEGER NOT NULL
);
CREATE TABLE "playlists" (
    "playlist_id" INTEGER PRIMARY KEY NOT NULL,
    "playlist_name" TEXT,
    "playlist_type" INTEGER NOT NULL,
    "playlist_path" TEXT
);
CREATE TABLE "playlist_songs" (
    "playlist_song_id" INTEGER PRIMARY KEY NOT NULL,
    "playlist_id" INTEGER NOT NULL,
    "song_path" TEXT NOT NULL
);
CREATE TABLE 'songs' ( "song_id" INTEGER PRIMARY KEY NOT NULL, 
       "file_path" TEXT,  
       "title" TEXT,   
       "artist_id" INTEGER,    
       "album_id" INTEGER,    
       "track_num" INTEGER,
       "song_type" INTEGER NOT NULL
);
CREATE TABLE "artists" (
    "artist_id" INTEGER PRIMARY KEY NOT NULL,
    "artist_name" TEXT NOT NULL
);
CREATE TABLE "albums" (
    "album_id" INTEGER PRIMARY KEY NOT NULL,
    "artist_id" INTEGER,
    "album_name" TEXT
);
CREATE TABLE "lyrics" (
	"song_id" INTEGER PRIMARY KEY NOT NULL,
	"lyricXml" TEXT,
	"language" TEXT,
	"identifier" TEXT
);
CREATE TABLE "supported_languages" (
	"code" TEXT PRIMARY KEY NOT NULL,
	"description" TEXT
);